
package cz.karry.dop.nbmodule.dbg.actions;


import java.util.Collections;
import java.util.Set;

import org.netbeans.api.debugger.ActionsManager;
import cz.karry.dop.nbmodule.dbg.DebugSession;
import org.netbeans.spi.debugger.ActionsProvider;
import org.netbeans.spi.debugger.ActionsProviderListener;
import org.netbeans.spi.debugger.ContextProvider;



public class StartActionProvider extends ActionsProvider{
    
    private static final StartActionProvider INSTANCE = 
        new StartActionProvider();    

    public static StartActionProvider getInstance() {
        return INSTANCE;
    }


    public StartActionProvider() {
        System.out.println("DOP StartActionProvider");        
    }

    public void start(){
        System.err.println("debuging not supported yet");
    }

    @Override
    public Set getActions() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void doAction(Object action) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public boolean isEnabled(Object action) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void addActionsProviderListener(ActionsProviderListener l) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void removeActionsProviderListener(ActionsProviderListener l) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}